#region Using directives
using System;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using QPlatform.OPCUAServer;
using QPlatform.NetLogic;
using QPlatform.UI;
using QPlatform.CoreBase;
using QPlatform.HMIProject;
using QPlatform.NativeUI;
using QPlatform.Alarm;
using QPlatform.EventLogger;
using QPlatform.Store;
using QPlatform.SQLiteStore;
using QPlatform.CommunicationDriver;
using QPlatform.Modbus;
using QPlatform.Recipe;
#endregion

public class RuntimeNetlogic2 : BaseNetLogic
{
    [ExportMethod]
    public void AddNode()
    {
        var label = InformationModel.Make<Label>("MyLabel");
        label.Text = "Hello world";
        label.FontSize = 20;
        label.LeftMargin = 300;
        label.TopMargin = 300;
        label.Visible = true;

        var panel = Owner.Get<PanelType>("AddNode");
        panel.Add(label);
    }

    [ExportMethod]
    public void DeleteNode()
    {
        var label = Owner.Get<Label>("MyLabel");
        label.Delete();
    }
}
